menu = {
	menuLocked: false,
	menuOpen: false,
	menuData: {},
	showMenu:function(title, content, menuLocked, id, speaker){
		//already locked, can't switch out
		if(menu.menuLocked){
			return;
		}
		menu.menuLocked = menuLocked;

		menu.currentMenu = id;
 
		var speakerHtml = "";
		if(speaker){
			speakerHtml += speaker.getPreviewHtml(false, true)+'<br>';
		}
		$("#menu-speaker").html(speakerHtml);
		$("#menu-header").html("&ldquo;"+title+"&rdquo;");
		$("#menu-content").html(content);
		$("#menu,#menu-backdrop").fadeIn();

		game.setHoverTile();
		game.drawNearby();
		menu.menuOpen = true;
	},
	closeMenu:function(){

		menu.menuData = {};

		menu.menuLocked = false;
		menu.menuOpen = false;
		menu.currentMenu = null;
		$("#menu,#menu-backdrop").fadeOut();
		game.drawUI();
	},
	toasterRemove:function(){
		clearTimeout(menu.toasterTimeout);
		menu.toasterTimeout = setTimeout(function(){
			if(menu.toastHover){
				menu.toasterRemove();
			}else if(game.state === "running"){	
				$(".toaster").fadeOut();
				menu.toastList = [];
			}
		},3000);
	},
	toasterTimeout:null,
	toastList: [],
	toast:function(content){
		if(menu.toastList.indexOf(content) == -1){
			menu.toastList.push(content);
			
			var html = '<div class="toaster">'+content+'</div>';
			var el = $(html);
			$("#toaster-container").append(el);
			el.fadeIn();

			menu.toasterRemove();
		}
	}
}