camera = {
	x: 0,
	y: 0,
	scale: 1,
	init: function(){
		camera.x = 0;
		camera.y = 0;
		camera.scale = 1;
		camera.centerOffsetX = Math.floor(canvasTileWidth/2);
		camera.centerOffsetY = Math.floor(canvasTileHeight/2);
	},
	setPosition(tile){
		camera.x = tile.x;
		camera.y = tile.y;
	},
	getOffsetX: function(){
		return camera.centerOffsetX-camera.x;
	},
	getOffsetY: function(){
		return camera.centerOffsetY-camera.y;
	},
	getTile: function(){
		return map.tile(camera.x,camera.y);
	}
}